flutter_ctrlpanel_core 0.3.0

  • readme.md
  • changelog.md
  • Example
  • Installing
  • Versions
  • 65

Ctrlpanel Core for Flutter #

Core library to build a client that interacts with the Ctrlpanel API.

0.3.0 #

  • 💥 Use CtrlpanelCore library instead of flutter_jsbridge

    Migration Guide:

    Android support is no longer present, will be added at a later date.

    You now need to import the upstream library JSBridge and register the global hook. Make the following change to your AppDelegate:

    @@ -1,6 +1,6 @@
     import UIKit
     import Flutter
    -import flutter_jsbridge
    +import JSBridge
    
     @UIApplicationMain
     @objc class AppDelegate: FlutterAppDelegate {
    @@ -8,7 +8,7 @@ import flutter_jsbridge
         _ application: UIApplication,
         didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?
       ) -> Bool {
    -    SwiftFlutterJsbridgePlugin.setGlobalUIHook(window: UIApplication.shared.windows.first!)
    +    JSBridge.setGlobalUIHook(window: UIApplication.shared.windows.first!)
         GeneratedPluginRegistrant.register(with: self)
         return super.application(application, didFinishLaunchingWithOptions: launchOptions)
       }
    

0.2.0 #

0.1.0 #

  • 🎉 Add initial implementation

example/README.md

flutter_ctrlpanel_core_example #

Demonstrates how to use the flutter_ctrlpanel_core plugin.

Getting Started #

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_ctrlpanel_core: ^0.3.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_ctrlpanel_core/ctrlpanel_core.dart';
  
Version Uploaded Documentation Archive
0.3.0 Apr 12, 2019 Go to the documentation of flutter_ctrlpanel_core 0.3.0 Download flutter_ctrlpanel_core 0.3.0 archive
0.2.0 Apr 11, 2019 Go to the documentation of flutter_ctrlpanel_core 0.2.0 Download flutter_ctrlpanel_core 0.2.0 archive
0.1.0 Mar 6, 2019 Go to the documentation of flutter_ctrlpanel_core 0.1.0 Download flutter_ctrlpanel_core 0.1.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
32
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
95
Overall:
Weighted score of the above. [more]
65
Learn more about scoring.

We analyzed this package on Jun 17, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.2
  • pana: 0.12.18
  • Flutter: 1.5.4-hotfix.2

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Format lib/ctrlpanel_core.dart.

Run flutter format to format lib/ctrlpanel_core.dart.

Format lib/src/state.dart.

Run flutter format to format lib/src/state.dart.

Maintenance issues and suggestions

Support latest dependencies. (-5 points)

The version constraint in pubspec.yaml does not support the latest published versions for 1 dependency.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test